import React, { PureComponent } from 'react';
import { ShareButtonProps } from './ShareButtonProps';
export declare class ShareButton extends PureComponent<ShareButtonProps> {
    onSharePress: () => Promise<import("react-native").ShareAction>;
    renderShareButton(): React.ReactNode;
    render(): JSX.Element;
}
